diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index 1ff056ab781dc692cb320131ff07b549fe8518ca..8a28c186326bab2becb5d7ee8ceb20f6b00c28de 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -1207,7 +1207,7 @@ public class HashEnrollServlet extends CMSServlet {
                     continue;
                 }
                 KeyUsageExtension ext = (KeyUsageExtension)
-                        exts.get(KeyUsageExtension.NAME);
+                        exts.get(KeyUsageExtension.class.getSimpleName());
 
                 if (ext == null)
                     // should not happen 
@@ -1239,8 +1239,8 @@ public class HashEnrollServlet extends CMSServlet {
                             new KeyUsageExtension(Boolean.valueOf(true),
                                     (Object) newvalue);
 
-                    exts.delete(KeyUsageExtension.NAME);
-                    exts.set(KeyUsageExtension.NAME, newext);
+                    exts.delete(KeyUsageExtension.class.getSimpleName());
+                    exts.set(KeyUsageExtension.class.getSimpleName(), newext);
                 }
             } catch (IOException e) {
                 // should never happen 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index 3fa4a1ad8bdf60c2266afa0122064dfd76725cc9..d2f829d0f2561f72bd5b237ccaa6e33a7f10857b 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -1339,12 +1339,12 @@ public class CRSEnrollment extends HttpServlet {
             CertificateExtensions ext = new CertificateExtensions();
 
             if (kue != null) {
-                ext.set(KeyUsageExtension.NAME, kue);
+                ext.set(KeyUsageExtension.class.getSimpleName(), kue);
             }
 
             // add subjectAltName extension, if present
             if (sane != null) {
-                ext.set(SubjectAlternativeNameExtension.NAME, sane);
+                ext.set(SubjectAlternativeNameExtension.class.getSimpleName(), sane);
             }
 
             certInfo.set(X509CertInfo.EXTENSIONS, ext);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index 3fd83452ff37f51eda8cc9b5044ce5645297a1cb..d3682dbff47988e94b0040faad0be2861c1cf3f3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -653,7 +653,7 @@ public class ProcessCertReq extends CMSServlet {
                                     NSCertTypeExtension nsExtensions =
                                             (NSCertTypeExtension)
                                             extensions.get(
-                                                    NSCertTypeExtension.NAME);
+                                                    NSCertTypeExtension.class.getSimpleName());
 
                                     if (nsExtensions != null) {
                                         updateNSExtension(req, nsExtensions);
@@ -671,7 +671,7 @@ public class ProcessCertReq extends CMSServlet {
                                         BasicConstraintsExtension bcExt =
                                                 (BasicConstraintsExtension)
                                                 extensions.get(
-                                                        BasicConstraintsExtension.NAME);
+                                                        BasicConstraintsExtension.class.getSimpleName());
 
                                         if (bcExt != null) {
                                             Integer bcPathLen = (Integer) bcExt.get(BasicConstraintsExtension.PATH_LEN);
@@ -683,8 +683,8 @@ public class ProcessCertReq extends CMSServlet {
                                                 BasicConstraintsExtension bcExt0 =
                                                         new BasicConstraintsExtension(isCA.booleanValue(), pathLen);
 
-                                                extensions.delete(BasicConstraintsExtension.NAME);
-                                                extensions.set(BasicConstraintsExtension.NAME,
+                                                extensions.delete(BasicConstraintsExtension.class.getSimpleName());
+                                                extensions.set(BasicConstraintsExtension.class.getSimpleName(),
                                                         (Extension) bcExt0);
                                                 alterationCounter++;
                                             }
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
index c66d8a71db2af64dff208aaa903ab67037e0c0f9..9dd3127c82079190f4ab41be881451ee4a193ea6 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/CertUtils.java
@@ -474,7 +474,7 @@ public class CertUtils {
 
             if (extns != null) {
                 NSCertTypeExtension nsExtn = (NSCertTypeExtension)
-                        extns.get(NSCertTypeExtension.NAME);
+                        extns.get(NSCertTypeExtension.class.getSimpleName());
 
                 if (nsExtn != null) {
                     String nsType = getNSExtensionInfo(nsExtn);
diff --git a/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java b/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
index dfd7dbab8e5f840abb55c9679e004d82838b66c5..bbf75713eecd053dbf565ce58b3704268b82d4ad 100644
--- a/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/cert/OidLoaderSubsystem.java
@@ -87,28 +87,28 @@ public class OidLoaderSubsystem implements ISubsystem {
     private static final String[][] oidMapEntries = new String[][] {
             { NSCertTypeExtension.class.getName(),
                     CertType_Id.toString(),
-                    NSCertTypeExtension.NAME },
+                    NSCertTypeExtension.class.getSimpleName() },
             { CertificateRenewalWindowExtension.class.getName(),
                     CertificateRenewalWindowExtension.ID.toString(),
-                    CertificateRenewalWindowExtension.NAME },
+                    CertificateRenewalWindowExtension.class.getSimpleName() },
             { CertificateScopeOfUseExtension.class.getName(),
                     CertificateScopeOfUseExtension.ID.toString(),
                     CertificateScopeOfUseExtension.NAME },
             { DeltaCRLIndicatorExtension.class.getName(),
                     DeltaCRLIndicatorExtension.OID,
-                    DeltaCRLIndicatorExtension.NAME },
+                    DeltaCRLIndicatorExtension.class.getSimpleName() },
             { HoldInstructionExtension.class.getName(),
                     HoldInstructionExtension.OID,
-                    HoldInstructionExtension.NAME },
+                    HoldInstructionExtension.class.getSimpleName() },
             { InvalidityDateExtension.class.getName(),
                     InvalidityDateExtension.OID,
-                    InvalidityDateExtension.NAME },
+                    InvalidityDateExtension.class.getSimpleName() },
             { IssuingDistributionPointExtension.class.getName(),
                     IssuingDistributionPointExtension.OID,
-                    IssuingDistributionPointExtension.NAME },
+                    IssuingDistributionPointExtension.class.getSimpleName() },
             { FreshestCRLExtension.class.getName(),
                     FreshestCRLExtension.OID,
-                    FreshestCRLExtension.NAME },
+                    FreshestCRLExtension.class.getSimpleName() },
         };
 
     /**
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java b/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
index 7cf39dcef8eb987fc63cb5387d65e417dd6c609d..23f3e46cb7489f601868bca5ad9b6e69567fb306 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/RevocationInfoMapper.java
@@ -141,14 +141,14 @@ public class RevocationInfoMapper implements IDBAttrMapper {
                                 Integer.parseInt(reasonStr));
                         CRLReasonExtension ext = new CRLReasonExtension(reason);
 
-                        exts.set(CRLReasonExtension.NAME, ext);
+                        exts.set(CRLReasonExtension.class.getSimpleName(), ext);
                     } else if (str.startsWith("InvalidityDateExtension=")) {
                         String invalidityDateStr = str.substring(24);
                         Date invalidityDate = DateMapper.dateFromDB(invalidityDateStr);
                         InvalidityDateExtension ext =
                                 new InvalidityDateExtension(invalidityDate);
 
-                        exts.set(InvalidityDateExtension.NAME, ext);
+                        exts.set(InvalidityDateExtension.class.getSimpleName(), ext);
                     } else {
                         Debug.trace("XXX skipped extension");
                     }
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java b/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
index 856a8c59193740db53d61aa1ada8e8246a51183b..4598f28692bb8a68d19da9bf2d527edc5f93867d 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/X509CertImplMapper.java
@@ -170,7 +170,7 @@ public class X509CertImplMapper implements IDBAttrMapper {
             if (ext == null) {
                 // sometime time (during installation) it
                 // is named differently
-                ext = cert.getExtension(NSCertTypeExtension.NAME);
+                ext = cert.getExtension(NSCertTypeExtension.class.getSimpleName());
                 if (ext == null)
                     return null;
             }
@@ -216,7 +216,7 @@ public class X509CertImplMapper implements IDBAttrMapper {
             if (ext == null) {
                 // sometime time (during installation) it
                 // is named differently
-                ext = cert.getExtension(BasicConstraintsExtension.NAME);
+                ext = cert.getExtension(BasicConstraintsExtension.class.getSimpleName());
                 if (ext == null)
                     return null;
             }
diff --git a/pki/base/common/src/com/netscape/cmscore/notification/ReqCertSANameEmailResolver.java b/pki/base/common/src/com/netscape/cmscore/notification/ReqCertSANameEmailResolver.java
index 68556dfc00d083ce677ccf8d7f3800f80f98a885..bc54a7d4c0b754f5285d95174bc24762a68668b6 100644
--- a/pki/base/common/src/com/netscape/cmscore/notification/ReqCertSANameEmailResolver.java
+++ b/pki/base/common/src/com/netscape/cmscore/notification/ReqCertSANameEmailResolver.java
@@ -171,7 +171,7 @@ public class ReqCertSANameEmailResolver implements IEmailResolver {
                     try {
                         ext =
                                 (SubjectAlternativeNameExtension)
-                                exts.get(SubjectAlternativeNameExtension.NAME);
+                                exts.get(SubjectAlternativeNameExtension.class.getSimpleName());
                     } catch (IOException e) {
                         log(ILogger.LL_FAILURE,
                                 CMS.getLogMessage("CMSCORE_NOTIFY_GET_EXT", e.toString()));
diff --git a/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java b/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
index 3eeb39e0c08d26f9ac6aa56a09815e1898ce9380..e28e3a517eb386b394ef3bc432d4347411671a4b 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/CertificateInfo.java
@@ -260,7 +260,7 @@ public abstract class CertificateInfo {
 
         try {
             subjKeyExt =
-                    (SubjectKeyIdentifierExtension) caexts.get(SubjectKeyIdentifierExtension.NAME);
+                    (SubjectKeyIdentifierExtension) caexts.get(SubjectKeyIdentifierExtension.class.getSimpleName());
         } catch (IOException e) {
         }
 
@@ -272,7 +272,7 @@ public abstract class CertificateInfo {
             AuthorityKeyIdentifierExtension authExt =
                     new AuthorityKeyIdentifierExtension(false, keyId, null, null);
 
-            ext.set(AuthorityKeyIdentifierExtension.NAME, authExt);
+            ext.set(AuthorityKeyIdentifierExtension.class.getSimpleName(), authExt);
         }
     }
 }
diff --git a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
index a4f6ee9a02cb0e6f1054dab2ccf40d3435872f68..c0a84ff4cb28a97e9a4f4cc9ed99181fc5e255de 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/JssSubsystem.java
@@ -2124,7 +2124,7 @@ public final class JssSubsystem implements ICryptoSubsystem {
                 else {
                     try {
                         BasicConstraintsExtension ext = (BasicConstraintsExtension)
-                                exts.get(BasicConstraintsExtension.NAME);
+                                exts.get(BasicConstraintsExtension.class.getSimpleName());
 
                         if (ext == null)
                             return false;
diff --git a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
index 1d03911b45f2be6a225961f4886bab15af932e57..606c140f10f04631041f6e423e27a97498aa97e3 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
@@ -850,7 +850,7 @@ public class KeyCertUtil {
         BasicConstraintsExtension basic = new BasicConstraintsExtension(
                 bool, len);
 
-        ext.set(BasicConstraintsExtension.NAME, basic);
+        ext.set(BasicConstraintsExtension.class.getSimpleName(), basic);
     }
 
     public static void setExtendedKeyUsageExtension(
@@ -901,7 +901,7 @@ public class KeyCertUtil {
         }
 
         if (anyExt)
-            ext.set(ExtendedKeyUsageExtension.NAME, ns);
+            ext.set(ExtendedKeyUsageExtension.class.getSimpleName(), ns);
     }
 
     public static void setNetscapeCertificateExtension(
@@ -960,7 +960,7 @@ public class KeyCertUtil {
             anyExt = true;
         }
         if (anyExt)
-            ext.set(NSCertTypeExtension.NAME, ns);
+            ext.set(NSCertTypeExtension.class.getSimpleName(), ns);
     }
 
     public static void setOCSPNoCheck(KeyPair keypair,
@@ -972,7 +972,7 @@ public class KeyCertUtil {
             OCSPNoCheckExtension noCheckExt =
                     new OCSPNoCheckExtension();
 
-            ext.set(OCSPNoCheckExtension.NAME, noCheckExt);
+            ext.set(OCSPNoCheckExtension.class.getSimpleName(), noCheckExt);
         }
     }
 
@@ -988,7 +988,7 @@ public class KeyCertUtil {
                             ExtendedKeyUsageExtension.OID_OCSPSigning));
             ExtendedKeyUsageExtension ocspExt =
                     new ExtendedKeyUsageExtension(false, oidSet);
-            ext.set(ExtendedKeyUsageExtension.NAME, ocspExt);
+            ext.set(ExtendedKeyUsageExtension.class.getSimpleName(), ocspExt);
         }
     }
 
@@ -1007,7 +1007,7 @@ public class KeyCertUtil {
                 aiaExt.addAccessDescription(AuthInfoAccessExtension.METHOD_OCSP, ocspName);
             }
 
-            ext.set(AuthInfoAccessExtension.NAME, aiaExt);
+            ext.set(AuthInfoAccessExtension.class.getSimpleName(), aiaExt);
         }
     }
 
@@ -1021,7 +1021,7 @@ public class KeyCertUtil {
             AuthorityKeyIdentifierExtension akiExt =
                     new AuthorityKeyIdentifierExtension(id, null, null);
 
-            ext.set(AuthorityKeyIdentifierExtension.NAME, akiExt);
+            ext.set(AuthorityKeyIdentifierExtension.class.getSimpleName(), akiExt);
         }
     }
 
@@ -1036,13 +1036,13 @@ public class KeyCertUtil {
             SubjectKeyIdentifierExtension skiExt =
                     new SubjectKeyIdentifierExtension(id.getIdentifier());
 
-            ext.set(SubjectKeyIdentifierExtension.NAME, skiExt);
+            ext.set(SubjectKeyIdentifierExtension.class.getSimpleName(), skiExt);
         }
     }
 
     public static void setKeyUsageExtension(CertificateExtensions ext,
             KeyUsageExtension keyUsage) throws IOException {
-        ext.set(KeyUsageExtension.NAME, keyUsage);
+        ext.set(KeyUsageExtension.class.getSimpleName(), keyUsage);
     }
 
     public static KeyIdentifier createKeyIdentifier(KeyPair keypair)
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
index e191de0274737d2fb4d3b3c4adee1e4248fac1f6..b55b62bf21addbe86b47363c1004837a52e968d4 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PrettyPrintCrl.java
@@ -90,25 +90,25 @@ public class PrettyPrintCrl {
         try {
             OIDMap.addAttribute(DeltaCRLIndicatorExtension.class.getName(),
                     DeltaCRLIndicatorExtension.OID,
-                    DeltaCRLIndicatorExtension.NAME);
+                    DeltaCRLIndicatorExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(HoldInstructionExtension.class.getName(),
                     HoldInstructionExtension.OID,
-                    HoldInstructionExtension.NAME);
+                    HoldInstructionExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(InvalidityDateExtension.class.getName(),
                     InvalidityDateExtension.OID,
-                    InvalidityDateExtension.NAME);
+                    InvalidityDateExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
         try {
             OIDMap.addAttribute(IssuingDistributionPointExtension.class.getName(),
                     IssuingDistributionPointExtension.OID,
-                    IssuingDistributionPointExtension.NAME);
+                    IssuingDistributionPointExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
 
diff --git a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
index 0bafcedd072ff608c3f1f01426c962216c5b577b..ba469be606ad1dac6a14b48ea200d4dccc9badb5 100644
--- a/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/AuthInfoAccessExtension.java
@@ -63,7 +63,7 @@ import netscape.security.x509.URIName;
  */
 public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     private static final long serialVersionUID = 7373316523212538446L;
-    public static final String NAME = "AuthInfoAccessExtension";
+
     public static final String NAME2 = "AuthorityInformationAccess";
 
     public static final int OID_OCSP[] = { 1, 3, 6, 1, 5, 5, 7, 48, 1 };
@@ -139,13 +139,6 @@ public class AuthInfoAccessExtension extends Extension implements CertAttrSet {
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return NAME;
-    }
-
-    /**
      * Adds Access Description.
      */
     public void addAccessDescription(
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
index 018fd71c84bec4c1f44b91eaca22116692ebe909..b2b034a2af93ae99db5b8045b0fdcbec9b6adc1e 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateRenewalWindowExtension.java
@@ -44,7 +44,6 @@ import netscape.security.x509.Extension;
 public class CertificateRenewalWindowExtension extends Extension
         implements CertAttrSet {
     private static final long serialVersionUID = 4470220533545299271L;
-    public static final String NAME = "CertificateRenewalWindow";
     public static final int OID[] = { 2, 16, 840, 1, 113730, 1, 15 };
     public static final ObjectIdentifier ID = new ObjectIdentifier(OID);
 
@@ -74,10 +73,6 @@ public class CertificateRenewalWindowExtension extends Extension
         decodeThis();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     /**
      * Sets extension attribute.
      */
diff --git a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
index 16641f36bc7d24106c51a5ecffcac0ad95d5c593..b7f33295f95af785b470ef9f493ecfc62a59b622 100644
--- a/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/CertificateScopeOfUseExtension.java
@@ -87,10 +87,6 @@ public class CertificateScopeOfUseExtension extends Extension
         decodeThis();
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     public Vector<CertificateScopeEntry> getCertificateScopeEntries() {
         return mEntries;
     }
diff --git a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
index 939da036f7d3466e7affd440e7ac44e4cad32a8b..5ed3feb733c71950ad6a4673487cc3dd2a6107f2 100644
--- a/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/ExtendedKeyUsageExtension.java
@@ -41,7 +41,6 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
      */
     private static final long serialVersionUID = 765403075764697489L;
     public static final String OID = "2.5.29.37";
-    public static final String NAME = OIDMap.EXT_KEY_USAGE_NAME;
     public static final String OID_OCSPSigning = "1.3.6.1.5.5.7.3.9";
     public static final String OID_CODESigning = "1.3.6.1.5.5.7.3.3";
 
@@ -61,7 +60,7 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
     static {
         try {
             OIDMap.addAttribute(ExtendedKeyUsageExtension.class.getName(),
-                    OID, ExtendedKeyUsageExtension.NAME);
+                    OID, ExtendedKeyUsageExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -176,10 +175,6 @@ public class ExtendedKeyUsageExtension extends Extension implements CertAttrSet
         return null;
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     public void delete(String name)
             throws CertificateException, IOException {
         // NOT USED
diff --git a/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java b/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
index 81b8cf5b5656d670517b260e0e375086f87944dc..1564489d5637ec26215cc8a7ec1542bd69019809 100644
--- a/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/InhibitAnyPolicyExtension.java
@@ -49,14 +49,13 @@ public class InhibitAnyPolicyExtension
      */
     private static final long serialVersionUID = -8963439897419343166L;
     public static final String OID = "2.5.29.54";
-    public static final String NAME = OIDMap.EXT_INHIBIT_ANY_POLICY_NAME;
 
     private BigInt mSkipCerts = new BigInt(-1);
 
     static {
         try {
             OIDMap.addAttribute(InhibitAnyPolicyExtension.class.getName(),
-                    OID, NAME);
+                    OID, InhibitAnyPolicyExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -135,10 +134,6 @@ public class InhibitAnyPolicyExtension
         return null;
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     public void delete(String name)
             throws CertificateException, IOException {
         // NOT USED
diff --git a/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java b/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
index 04b3038e515aa1a6838e9db626015bfa27f0cf12..1f9f5145783e899b952085df3e8a1bbce87e5086 100644
--- a/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/NSCertTypeExtension.java
@@ -60,7 +60,6 @@ public class NSCertTypeExtension extends Extension implements CertAttrSet {
     /**
      * Attribute names.
      */
-    public static final String NAME = "NSCertType";
     public static final String SSL_CLIENT = "ssl_client";
     public static final String SSL_SERVER = "ssl_server";
     public static final String EMAIL = "email";
@@ -365,13 +364,6 @@ public class NSCertTypeExtension extends Extension implements CertAttrSet {
         return mAttributeNames.elements();
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
-
     public static void main(String[] argv) {
     }
 }
diff --git a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
index 28da8085f787c8cc3b23e00b04e013f4a1bb8444..0a308d8ea7bfc0b3c6ae5d5933c1be43902c6624 100644
--- a/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/OCSPNoCheckExtension.java
@@ -39,14 +39,13 @@ public class OCSPNoCheckExtension extends Extension implements CertAttrSet {
      */
     private static final long serialVersionUID = -4692759557964594790L;
     public static final String OID = "1.3.6.1.5.5.7.48.1.5";
-    public static final String NAME = "OCSPNoCheckExtension";
 
     private byte mCached[] = null;
 
     static {
         try {
             OIDMap.addAttribute(OCSPNoCheckExtension.class.getName(),
-                    OID, NAME);
+                    OID, OCSPNoCheckExtension.class.getSimpleName());
         } catch (CertificateException e) {
         }
     }
@@ -142,10 +141,6 @@ public class OCSPNoCheckExtension extends Extension implements CertAttrSet {
         return null;
     }
 
-    public String getName() {
-        return NAME;
-    }
-
     public void delete(String name)
             throws CertificateException, IOException {
         // NOT USED
diff --git a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
index a90abe7e354accaf442dca2987ec4b0fa8f4ed69..15222cb3a95c684318f0d2ad34902410af1f821e 100644
--- a/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/PresenceServerExtension.java
@@ -235,13 +235,6 @@ public class PresenceServerExtension extends Extension implements CertAttrSet {
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return "PresenceServerExtension";
-    }
-
-    /**
      * Set the name of this attribute.
      */
     public void setName(String name) {
diff --git a/pki/base/util/src/netscape/security/extensions/SubjectInfoAccessExtension.java b/pki/base/util/src/netscape/security/extensions/SubjectInfoAccessExtension.java
index d78ad0344633c51c441f159dbc8a7cb86ff1202b..f9ad051e47bbe93ad52714027c91f463f447a8dd 100644
--- a/pki/base/util/src/netscape/security/extensions/SubjectInfoAccessExtension.java
+++ b/pki/base/util/src/netscape/security/extensions/SubjectInfoAccessExtension.java
@@ -46,8 +46,6 @@ import netscape.security.x509.URIName;
 public class SubjectInfoAccessExtension extends Extension implements CertAttrSet {
     private static final long serialVersionUID = 7237321566602583325L;
 
-    public static final String NAME = "SubjectInfoAccessExtension";
-
     public static final int OID_OCSP[] = { 1, 3, 6, 1, 5, 5, 7, 48, 1 };
     public static final ObjectIdentifier METHOD_OCSP = new
             ObjectIdentifier(OID_OCSP);
@@ -121,13 +119,6 @@ public class SubjectInfoAccessExtension extends Extension implements CertAttrSet
     }
 
     /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return NAME;
-    }
-
-    /**
      * Adds Access Description.
      */
     public void addAccessDescription(
diff --git a/pki/base/util/src/netscape/security/x509/AuthorityKeyIdentifierExtension.java b/pki/base/util/src/netscape/security/x509/AuthorityKeyIdentifierExtension.java
index 91b6c2598d90e137534940557552239753f3dcf4..2a48376edbee01d4b846df51e16f7a0af8eddaf4 100644
--- a/pki/base/util/src/netscape/security/x509/AuthorityKeyIdentifierExtension.java
+++ b/pki/base/util/src/netscape/security/x509/AuthorityKeyIdentifierExtension.java
@@ -67,7 +67,6 @@ public class AuthorityKeyIdentifierExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "AuthorityKeyIdentifier";
     public static final String KEY_ID = "key_id";
     public static final String AUTH_NAME = "auth_name";
     public static final String SERIAL_NUMBER = "serial_number";
@@ -331,10 +330,4 @@ public class AuthorityKeyIdentifierExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
diff --git a/pki/base/util/src/netscape/security/x509/BasicConstraintsExtension.java b/pki/base/util/src/netscape/security/x509/BasicConstraintsExtension.java
index 2688e961db1ad0c044574a2ca2ed82d60d0d5fd8..e574a40d4abdc1a7a02c5abf76bef44f89472964 100644
--- a/pki/base/util/src/netscape/security/x509/BasicConstraintsExtension.java
+++ b/pki/base/util/src/netscape/security/x509/BasicConstraintsExtension.java
@@ -63,7 +63,6 @@ public class BasicConstraintsExtension extends Extension
     /**
      * Attribute names.
      */
-    public static final String NAME = "BasicConstraints";
     public static final String IS_CA = "is_ca";
     public static final String PATH_LEN = "path_len";
 
@@ -286,10 +285,4 @@ public class BasicConstraintsExtension extends Extension
         return (elements.elements());
     }
 
-    /**
-     * Return the name of this attribute.
-     */
-    public String getName() {
-        return (NAME);
-    }
 }
